Koozali.org formerly Contribs.org

Sogo4 Released March 7, 2018

Offline mmccarn

  • *
  • 2,260
Sogo4 Released March 7, 2018
« on: March 08, 2018, 04:02:39 PM »
The sogo3 nightly repo is offline again; the rpm on my server is sogo-3.2.10.20180226-1.centos6.x86_64.

I noticed on the sogo.nu homepage that sogo4 has been released, so I did the update like this:

Code: [Select]
db yum_repositories set sogo4 repository \
BaseURL 'http://packages.inverse.ca/SOGo/nightly/4/rhel/6/$basearch' \
EnableGroups yes \
GPGCheck no \
Name 'Inverse Sogo4 Repository' \
Visible yes \
status disabled

expand-template /etc/yum.smerepos.d/sme-base.repo
yum --enablerepo=sogo4 update
#
# I did this, but I don't think I really needed to
/etc/init.d/sogod restart

After updating as shown above:
- webmail worked (send, receive, version=4.00)
- activesync to/from my iPhone did NOT work (no errors, but no email in or out, either)

After restarting my iphone it could not connect to the mail server and /var/log/sogo/sogo.log showed errors related to activesync. 

After rebooting the SME server (signal-event post-upgrade; signal-event reboot), my iphone reconnected and can now send and receive email again.

For the curious:
Code: [Select]
# db yum_repositories show sogo4
sogo4=repository
    BaseURL=http://packages.inverse.ca/SOGo/nightly/4/rhel/6/$basearch
    EnableGroups=yes
    GPGCheck=no
    Name=Inverse Sogo4 Repository
    Visible=yes
    status=disabled

 # rpm -qa sogo sogo-* sope*
sope49-core-4.9-20180307_1664.el6.1.x86_64
sogo-4.0.0.20180308-1.centos6.x86_64
sope49-appserver-4.9-20180307_1664.el6.1.x86_64
sope49-gdl1-contentstore-4.0.0.20180308-1.centos6.x86_64
sope49-cards-4.0.0.20180308-1.centos6.x86_64
sogo-tool-4.0.0.20180308-1.centos6.x86_64
sope49-xml-4.9-20180307_1664.el6.1.x86_64
sope49-ldap-4.9-20180307_1664.el6.1.x86_64
sope49-sbjson-2.3.1-20180307_1664.el6.1.x86_64
sope49-gdl1-mysql-4.9-20180307_1664.el6.1.x86_64
sope49-mime-4.9-20180307_1664.el6.1.x86_64
sogo-ealarms-notify-4.0.0.20180308-1.centos6.x86_64
sope49-gdl1-4.9-20180307_1664.el6.1.x86_64
sogo-activesync-4.0.0.20180308-1.centos6.x86_64

Online Stefano

  • *
  • 10,683
  • Skype account: maghissimo
    • Smeserver italian community
Re: Sogo4 Released March 7, 2018
« Reply #1 on: March 08, 2018, 05:13:24 PM »
Interesting and thank you for your feedback
I was tempted to do the same on my server.. I don't use activesync so it's not an issue..

Anyway.. is there any cosmetic difference?
Consulente di Smeserver.it -  Soluzioni e supporto su Sme server in Italia

Offline mmccarn

  • *
  • 2,260
Re: Sogo4 Released March 7, 2018
« Reply #2 on: March 09, 2018, 03:41:40 PM »
I did not notice any difference in the UI.

In fact, I had to dig for a while to find the 'SOGo Version...' setting to confirm that I was seeing the new version.

Offline Jean-Philippe Pialasse

  • *
  • 1,079
  • aka Unnilennium
    • http://smeserver.pialasse.com
Re: Sogo4 Released March 7, 2018
« Reply #3 on: March 11, 2018, 04:02:02 AM »
I would just suggest :


Code: [Select]
db yum_repositories set sogo4 repository \
BaseURL 'http://packages.inverse.ca/SOGo/nightly/4/rhel/$releasever/$basearch' \
EnableGroups yes \
GPGCheck no \
Name 'Inverse Sogo4 Repository' \
Visible yes \
status disabled


from previous notes I have seen that there was also a IncludePkgs clause : gnustep-base,gnustep-make,libmemcached,libwbxml,sogo*,sope49*

Is it still required ?


Offline Jean-Philippe Pialasse

  • *
  • 1,079
  • aka Unnilennium
    • http://smeserver.pialasse.com
Re: Sogo4 Released March 7, 2018
« Reply #4 on: March 11, 2018, 04:54:25 AM »
mmccarn,
as you are member of the wiki teams, updates would be welcomed to https://wiki.contribs.org/Sogo-repo and  https://wiki.contribs.org/Sogo

also I might need to update those rpm to help install the repo : https://wiki.contribs.org/Extrarepositories

Offline mmccarn

  • *
  • 2,260
Re: Sogo4 Released March 7, 2018
« Reply #5 on: March 11, 2018, 01:58:58 PM »
from previous notes I have seen that there was also a IncludePkgs clause : gnustep-base,gnustep-make,libmemcached,libwbxml,sogo*,sope49*

Is it still required ?

I didn't need the IncludePkgs bit to do the update from the latest 3.2 to 4.0, but I see that not only do I have gnustep-base, libmemcached and libwbmxml installed from sogo3, but I have some confusion around gnustep-make that I may want to look into:
Code: [Select]
# yum list gnustep-base gnustep-make libmemcached libwbxl sogo* sope49*
Loaded plugins: fastestmirror, smeserver
Loading mirror speeds from cached hostfile
 * base: mirror.us-midwest-1.nexcess.net
 * smeaddons: mirror.canada.pialasse.com
 * smeextras: mirror.canada.pialasse.com
 * smeos: mirror.canada.pialasse.com
 * smeupdates: mirror.canada.pialasse.com
 * updates: mirror.vcu.edu
Installed Packages
gnustep-base.x86_64                                 1.23.0-1                                       @sogo3
gnustep-make.x86_64                                 2.6.8-1.el6                                    @epel
libmemcached.x86_64                                 1.0.18-1                                       @sogo3
sogo.x86_64                                         4.0.0.20180308-1.centos6                       @sogo4
sogo-activesync.x86_64                              4.0.0.20180308-1.centos6                       @sogo4
sogo-ealarms-notify.x86_64                          4.0.0.20180308-1.centos6                       @sogo4
sogo-tool.x86_64                                    4.0.0.20180308-1.centos6                       @sogo4
sope49-appserver.x86_64                             4.9-20180307_1664.el6.1                        @sogo4
sope49-cards.x86_64                                 4.0.0.20180308-1.centos6                       @sogo4
sope49-core.x86_64                                  4.9-20180307_1664.el6.1                        @sogo4
sope49-gdl1.x86_64                                  4.9-20180307_1664.el6.1                        @sogo4
sope49-gdl1-contentstore.x86_64                     4.0.0.20180308-1.centos6                       @sogo4
sope49-gdl1-mysql.x86_64                            4.9-20180307_1664.el6.1                        @sogo4
sope49-ldap.x86_64                                  4.9-20180307_1664.el6.1                        @sogo4
sope49-mime.x86_64                                  4.9-20180307_1664.el6.1                        @sogo4
sope49-sbjson.x86_64                                2.3.1-20180307_1664.el6.1                      @sogo4
sope49-xml.x86_64                                   4.9-20180307_1664.el6.1                        @sogo4

Quote
...
updates would be welcomed to https://wiki.contribs.org/Sogo-repo and  https://wiki.contribs.org/Sogo
...
It will be next weekend before I get to these.

Offline mmccarn

  • *
  • 2,260
Re: Sogo4 Released March 7, 2018
« Reply #6 on: March 13, 2018, 12:55:35 PM »
Three updates -

1. libmemcached
'libmemcached' is still listed in the docs as a requirement for sogo4, but is not included in the sogo4 repository as it was for sogo3.  I've raised a bug with sogo.nu about this: libmemcached missing from the v4 nightly repository for EL6

2. Move gnustep-base and libwbxml from sogo3 to sogo4 repository
I've run these commands on my system to remove dependencies on the old sogo3 repository:
Code: [Select]
yum --enablerepo=sogo4 reinstall gnustep-base
yum --enablerepo=sogo4 reinstall libwbxml

3. SOGo recommended repo config
SOGo wants us to *exclude* "gnustep-*" from epel rather than *including* it in the SOGo repo.

Simply add the following line to the EPEL repo definition:

[epel]
# ...
exclude=gnustep-*

Offline Jean-Philippe Pialasse

  • *
  • 1,079
  • aka Unnilennium
    • http://smeserver.pialasse.com
Re: Sogo4 Released March 7, 2018
« Reply #7 on: March 13, 2018, 02:55:33 PM »
1. libmemcached-0.31-1.1.el6.i686.rpm is available on base

2. Seems like a bug to submit to them too

3. That would be a thing i can easily add to the rpm to handle repo. If i add it to the one with sogo repo, it could check if epel is configured and add the exclusion

Offline mmccarn

  • *
  • 2,260
Re: Sogo4 Released March 7, 2018
« Reply #8 on: March 14, 2018, 11:58:03 AM »
1. SOGo is using libmemcached-1.0.18-1.x86_64; the version in base is libmemcached.i686.0.31-1.1.el6.  I don't know what the difference is, and I hope that SOGo has addressed the memcached ddos issue, but they certainly seem to want us to use the version they're publishing.

2. Using the official instructions I think my repo name would have been "sogo" before and after - so this would have been a non-issue.  By the way, they have added libmemcached to the sogo4 EL6 nightly repo, and running this command has removed the last sogo3 dependency on my system:
Code: [Select]
yum --enablerepo=sogo4 reinstall libmemcached

3. Good to know.  I notice that on my system I *am* running a couple gnustep packages from Epel; I will do some more digging into that, too (Why do I have gnustep-filesystem installed? And, is gnustep-make from @epel causing some problem I haven't noticed in SOGo?)
Code: [Select]
# yum --disablerepo=* --enablerepo=sogo4 list gnustep-* --showduplicates
Loaded plugins: fastestmirror, smeserver
Loading mirror speeds from cached hostfile
Installed Packages
gnustep-base.x86_64                                                    1.23.0-1                                                  @sogo4
gnustep-filesystem.x86_64                                              2.6.8-1.el6                                               @epel
gnustep-make.x86_64                                                    2.6.8-1.el6                                               @epel
Available Packages
gnustep-base.x86_64                                                    1.23.0-1                                                  sogo4
gnustep-make.x86_64                                                    2.6.1-1                                                   sogo4

Offline Jean-Philippe Pialasse

  • *
  • 1,079
  • aka Unnilennium
    • http://smeserver.pialasse.com
Re: Sogo4 Released March 7, 2018
« Reply #9 on: March 14, 2018, 12:05:46 PM »
For gnustep, i would just check which one they provides and pull on first installation. Unless there is a version release dependency between the reposthat could trigger a failure for yum to do its work, i do not see the use to exclude all of them, but rather only the one they provides.

You might need the gnustep-filesystem for another purpose! As long as it does not conflict and revent to install the package they need.

Still  here i see epel is more recent in term of version, so why they keep the old one...

Online Stefano

  • *
  • 10,683
  • Skype account: maghissimo
    • Smeserver italian community
Re: Sogo4 Released March 7, 2018
« Reply #10 on: March 14, 2018, 12:05:59 PM »
I upgraded SOGo in my personal server.. about you, I "de facto" duplicated SOGo3 repo info in SOGo4 one, just changing 3 in 4 where needed
no issues at all
Consulente di Smeserver.it -  Soluzioni e supporto su Sme server in Italia

Offline Jean-Philippe Pialasse

  • *
  • 1,079
  • aka Unnilennium
    • http://smeserver.pialasse.com
Re: Sogo4 Released March 7, 2018
« Reply #11 on: March 14, 2018, 07:04:40 PM »
I upgraded SOGo in my personal server.. about you, I "de facto" duplicated SOGo3 repo info in SOGo4 one, just changing 3 in 4 where needed
no issues at all
so will do the same for the repo contrib. and add a migration fragment to add exclusion to epel

Offline Jean-Philippe Pialasse

  • *
  • 1,079
  • aka Unnilennium
    • http://smeserver.pialasse.com
Re: Sogo4 Released March 7, 2018
« Reply #12 on: March 18, 2018, 10:30:59 AM »
you will see smeserver-extrarepositories-sogo-0.1-4.noarch in smedev in about one hour

the same for smeserver-extrarepositories-epel-0.1-4.noarch

they both have a migrate fragment included. As long as sogo repo rpm is present epel will have gnustep* exluded, as soon as you remove the sogo repo rpm, the migrate fragment from epel will clear this. This is the theory
need to test thought ;)

Offline stephdl

  • *
  • 1,498
    • Linux et Geekeries
Re: Sogo4 Released March 7, 2018
« Reply #13 on: March 18, 2018, 05:19:29 PM »
I upgraded SOGo in my personal server.. about you, I "de facto" duplicated SOGo3 repo info in SOGo4 one, just changing 3 in 4 where needed
no issues at all

possibly you have to launch /usr/share/doc/sogo-4.0.0/sql-update-3.2.10_to_4.0.0-mysql.sh  and fill correct user, database, password. My addressbook was broken until I did the sql migration
See http://wiki.contribs.org/Koozali_Foundation
irc : Freenode #sme_server #sme-fr

!!! Please write your knowledge to the Wiki !!!

Online Stefano

  • *
  • 10,683
  • Skype account: maghissimo
    • Smeserver italian community
Re: Sogo4 Released March 7, 2018
« Reply #14 on: March 18, 2018, 06:50:40 PM »
This was not necessary in my case, 'cause the SQL change was applied before
SOGo's devs in fact changed the db structure since 3.2.x (if you're using nightly repo)
BTW they did so silently and many users had they address book broken
Check sogo's ml, I'm sure you have the mail
In any case, good spot
Thanks mate
Consulente di Smeserver.it -  Soluzioni e supporto su Sme server in Italia